Bug 217549 - REGRESSION (r267744): [ Debug WK2 ] fast/css-custom-paint/out-of-memory-while-adding-worklet-module.html is a constant timeout
Summary: REGRESSION (r267744): [ Debug WK2 ] fast/css-custom-paint/out-of-memory-while...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords: InRadar
: 217618 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-10-09 18:15 PDT by Hector Lopez
Modified: 2020-10-14 14:19 PDT (History)
8 users (show)

See Also:


Attachments
Patch (3.60 KB, patch)
2020-10-14 13:41 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hector Lopez 2020-10-09 18:15:31 PDT
fast/css-custom-paint/out-of-memory-while-adding-worklet-module.html

Test is a constant timeout according to history on macOS wk2 Debug. First occurrence of a timeout is at r267750

History:

https://results.webkit.org/?suite=layout-tests&test=fast%2Fcss-custom-paint%2Fout-of-memory-while-adding-worklet-module.html&platform=mac&style=debug

Diff:

Yesys go from taking 13 seconds on average to 56 seconds on average.
Comment 1 Alexey Proskuryakov 2020-10-12 17:47:23 PDT
*** Bug 217618 has been marked as a duplicate of this bug. ***
Comment 2 Truitt Savell 2020-10-13 12:03:58 PDT
Marked test as timing out while investigating:

https://trac.webkit.org/changeset/268403/webkit
Comment 3 Ryan Haddad 2020-10-13 13:29:25 PDT
rdar://70213925
Comment 4 Ryan Haddad 2020-10-13 13:30:44 PDT
Probably related to https://trac.webkit.org/changeset/267744/webkit
Comment 5 Hector Lopez 2020-10-13 18:45:17 PDT
Was able to reproduce timeout on revision r267744 and not on r267743

run-webkit-tests fast/css-custom-paint/out-of-memory-while-adding-worklet-module.html --iterations 1000 --ios-simulator --exit-after-n-failures 3 -f --debug


Baseline search path: platform/ios-simulator-wk2 -> platform/ios-simulator -> platform/ios-wk2 -> platform/ios -> platform/wk2 -> generic

Running 1 test for iPhone SE running iOS

Running 4 WebKitTestRunnerApp.apps in parallel.

[4/1000] fast/css-custom-paint/out-of-memory-while-adding-worklet-module.html failed unexpectedly (test timed out, test was not run)
[4/1000] fast/css-custom-paint/out-of-memory-while-adding-worklet-module.html failed unexpectedly (test timed out, test was not run)
[4/1000] fast/css-custom-paint/out-of-memory-while-adding-worklet-module.html failed unexpectedly (test timed out, test was not run)
Exiting early after 3 failures. 3 tests run.


0 tests ran as expected, 3 didn't (997 didn't run):


Regressions: Unexpected timeouts (1)
  fast/css-custom-paint/out-of-memory-while-adding-worklet-module.html [ Timeout ]
Comment 6 Chris Dumez 2020-10-14 13:02:10 PDT
(In reply to Hector Lopez from comment #5)
> Was able to reproduce timeout on revision r267744 and not on r267743
> 
> run-webkit-tests
> fast/css-custom-paint/out-of-memory-while-adding-worklet-module.html
> --iterations 1000 --ios-simulator --exit-after-n-failures 3 -f --debug
> 
> 
> Baseline search path: platform/ios-simulator-wk2 -> platform/ios-simulator
> -> platform/ios-wk2 -> platform/ios -> platform/wk2 -> generic
> 
> Running 1 test for iPhone SE running iOS
> 
> Running 4 WebKitTestRunnerApp.apps in parallel.
> 
> [4/1000]
> fast/css-custom-paint/out-of-memory-while-adding-worklet-module.html failed
> unexpectedly (test timed out, test was not run)
> [4/1000]
> fast/css-custom-paint/out-of-memory-while-adding-worklet-module.html failed
> unexpectedly (test timed out, test was not run)
> [4/1000]
> fast/css-custom-paint/out-of-memory-while-adding-worklet-module.html failed
> unexpectedly (test timed out, test was not run)
> Exiting early after 3 failures. 3 tests run.
> 
> 
> 0 tests ran as expected, 3 didn't (997 didn't run):
> 
> 
> Regressions: Unexpected timeouts (1)
>   fast/css-custom-paint/out-of-memory-while-adding-worklet-module.html [
> Timeout ]

The test expects the addModule() function to throw an exception. However, as of r267744, the addModule() returns a Promise and therefore no longer throws synchronously. The test needs updating.
Comment 7 Chris Dumez 2020-10-14 13:41:26 PDT
Created attachment 411369 [details]
Patch
Comment 8 EWS 2020-10-14 14:19:07 PDT
Committed r268488: <https://trac.webkit.org/changeset/268488>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 411369 [details].